Bug 1199396 - incorrect identification of duplicate IDs
Summary: incorrect identification of duplicate IDs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: 22
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1226042 1236689 1259704 (view as bug list)
Depends On:
Blocks: 1197699 1255547
TreeView+ depends on / blocked
 
Reported: 2015-03-06 06:37 UTC by Pete Travis
Modified: 2016-07-19 20:18 UTC (History)
23 users (show)

Fixed In Version: 2.9.2-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:18:19 UTC
Type: Bug


Attachments (Terms of Use)
sample xml with exactly one id="Installation-Guide-Preface" attribute (571.97 KB, application/docbook+xml)
2015-03-06 06:37 UTC, Pete Travis
no flags Details


Links
System ID Priority Status Summary Last Updated
Debian BTS 766884 None None None Never
GNOME Bugzilla 737840 None None None Never

Description Pete Travis 2015-03-06 06:37:44 UTC
Created attachment 998686 [details]
sample xml with exactly one id="Installation-Guide-Preface" attribute

Description of problem:
Tools relying on libxml2 are complaining about invalid duplicate id attributes.  I discovered it with publican, and verified with xmllint.  There's a sample xml file attached, derived from https://git.fedorahosted.org/cgit/docs/install-guide.git .

Version-Release number of selected component (if applicable):
libxml2-2.9.2-3

How reproducible:
xmllint --noout --xinclude --postvalid --noent test.xml

Comment 1 Remi Collet 2015-03-24 13:19:04 UTC
See reproducer in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766884

This also break atoum test suite

Comment 2 Remi Collet 2015-03-24 13:21:08 UTC
See https://github.com/atoum/atoum/issues/449

Comment 3 Mike Vevea 2015-05-21 22:44:38 UTC
following because it affects publican

Comment 4 Jeff Fearn 🐞 2015-05-31 23:15:21 UTC
*** Bug 1226042 has been marked as a duplicate of this bug. ***

Comment 5 Jeff Fearn 🐞 2015-05-31 23:21:02 UTC
Escalating to urgent as this issue prevents publican from building on multiple distributions.

Comment 6 RaphaΓ«l Hertzog 2015-06-01 06:43:27 UTC
And not only publican, lots of documentation too. Cf the followup comments in the associated Debian bug report. It would be nice to have a fix.

Comment 7 Jeff Fearn 🐞 2015-06-29 22:25:20 UTC
*** Bug 1236689 has been marked as a duplicate of this bug. ***

Comment 8 Remi Collet 2015-07-02 08:19:50 UTC
This also affects PHPMD test suite:

There were 4 errors:
1) PDepend\Report\Jdepend\ChartTest::testGeneratesCorrectSVGImageFile
DOMNode::cloneNode(): ID jdepend.bad already defined
/builddir/build/BUILDROOT/php-pdepend-PHP-Depend-2.1.0-1.fc22.remi.x86_64/usr/share/php/PDepend/Report/Jdepend/Chart.php:201
/builddir/build/BUILD/pdepend-f58902a774449f73f1a1d9cd1a07aeac8fbee367/src/test/php/PDepend/Report/Jdepend/ChartTest.php:160
2) PDepend\Report\Jdepend\ChartTest::testGeneratedSvgImageContainsExpectedPackages
DOMNode::cloneNode(): ID jdepend.bad already defined
/builddir/build/BUILDROOT/php-pdepend-PHP-Depend-2.1.0-1.fc22.remi.x86_64/usr/share/php/PDepend/Report/Jdepend/Chart.php:201
/builddir/build/BUILD/pdepend-f58902a774449f73f1a1d9cd1a07aeac8fbee367/src/test/php/PDepend/Report/Jdepend/ChartTest.php:181
3) PDepend\Report\Jdepend\ChartTest::testGeneratesSVGImageDoesNotContainNoneUserDefinedPackages
DOMNode::cloneNode(): ID jdepend.bad already defined
/builddir/build/BUILDROOT/php-pdepend-PHP-Depend-2.1.0-1.fc22.remi.x86_64/usr/share/php/PDepend/Report/Jdepend/Chart.php:201
/builddir/build/BUILD/pdepend-f58902a774449f73f1a1d9cd1a07aeac8fbee367/src/test/php/PDepend/Report/Jdepend/ChartTest.php:209
4) PDepend\Report\Jdepend\ChartTest::testCalculateCorrectEllipseSize
DOMNode::cloneNode(): ID jdepend.good already defined
/builddir/build/BUILDROOT/php-pdepend-PHP-Depend-2.1.0-1.fc22.remi.x86_64/usr/share/php/PDepend/Report/Jdepend/Chart.php:199
/builddir/build/BUILD/pdepend-f58902a774449f73f1a1d9cd1a07aeac8fbee367/src/test/php/PDepend/Report/Jdepend/ChartTest.php:267

Comment 9 Pete Travis 2015-09-03 17:35:26 UTC
*** Bug 1259704 has been marked as a duplicate of this bug. ***

Comment 10 Daniel Veillard 2015-09-10 12:17:22 UTC
Okay, fixed upstream:

https://bugzilla.gnome.org/show_bug.cgi?id=737840

I will make builds ! The one for F22 is task: 11032919

Daniel

Comment 11 Remi Collet 2015-09-10 12:45:44 UTC
Just run some tests:

libxml2-2.9.2-3

atoum-2.2.1-1 => test suite fails
php-pdepend-PHP-Depend-2.1.0-1 => test suite fails

libxml2-2.9.2-4

atoum-2.2.1-1 => test suite OK
php-pdepend-PHP-Depend-2.1.0-1 => test suite OK


Thanks for the fix

(I will re-enable the test suite for above packages in rawhide (monitored by Koschei, when the patch will be applied there)

Comment 12 Daniel Veillard 2015-09-10 13:38:55 UTC
Thanks Remi !

Comment 13 Fedora Update System 2015-09-10 13:42:25 UTC
libxml2-2.9.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15534

Comment 14 Remi Collet 2015-09-10 13:56:21 UTC
@Daniel: do you plan to also apply in f23 and rawhide ?

Comment 15 Fedora Update System 2015-09-11 19:54:16 UTC
libxml2-2.9.2-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libxml2'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15534

Comment 16 Fedora Update System 2015-09-13 00:48:41 UTC
libxml2-2.9.2-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Remi Collet 2015-09-14 06:39:27 UTC
Keep this bug open, F23 and rawhide are still affected.

Comment 18 Fedora End Of Life 2016-07-19 20:18:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.